php-ssh2_1.1.2+0.13-1_i386.deb


Advertisement

Description

php-ssh2 - Bindings for the libssh2 library

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name php-ssh2
Package version 1.1.2+0.13
Package release 1
Package architecture i386
Package type deb
Installed size 96 B
Download size 28.71 KB
Official Mirror archive.ubuntu.com
Provides PHP bindings to the functions of libssh2 which implements
the SSH2 protocol.
WARNING: The PHP 7.0 is an unreleased git snapshot of current ssh2
that implements support for PHP 7.0. USE WITH CAUTION!

Alternatives

Package Version Architecture Repository
php-ssh2_1.1.2+0.13-1_amd64.deb 1.1.2+0.13 amd64 Ubuntu Universe
php-ssh2 - - -

Requires

Name Value
libc6 >= 2.4
libssh2-1 >= 1.2.9
php-common >= 1:7.0+33~
phpapi-20160303 -

Provides

Name Value
php7.1-ssh2 -

Replaces

Name Value
libssh2-php << 0.12-2

Download

Type URL
Binary Package php-ssh2_1.1.2+0.13-1_i386.deb
Source Package php-ssh2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-ssh2 deb package:
    # sudo apt-get install php-ssh2

Files

Path
/etc/php/7.1/mods-available/ssh2.ini
/usr/lib/php/20160303/ssh2.so
/usr/share/doc/php-ssh2/changelog.Debian.gz
/usr/share/doc/php-ssh2/copyright

Changelog

2017-07-31 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (1.1.2+0.13-1) unstable; urgency=medium
* New upstream version 1.1.2+0.13
* Update debian/patches for 1.1.2 release
2016-11-22 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (1.0+0.13-2) unstable; urgency=medium
* Apply patches to fix ssh2 to work again with 5.6.28 and 7.0.13
(Courtesy of Remi Collet) (Closes: #849946)
2016-07-25 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (1.0+0.13-1) unstable; urgency=medium
* Imported Upstream version 1.0+0.13
* Remove version patch
2016-04-29 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-50-gaa1739a+0.12+-2) unstable; urgency=medium
* Move the default makefile snippet to dh-php and use a simple d/rules
with dh-php >= 0.12~
2016-04-28 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-50-gaa1739a+0.12+-1) unstable; urgency=medium
* Imported Upstream version 0.12-50-gaa1739a+0.12+
* Improve d/rules so it can be used with both single or multiple PECL
upstream versions, controlled by looking for package-MAJOR.MINOR.xml,
package-MAJOR.xml and package.xml in this order
* Change upstream release version to 0.12-50-gaa1739a for PHP 7.0 git
branch
2016-04-15 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-50-gaa1739a+0.12-1) unstable; urgency=medium
* gbp.conf back at master/pristine-tar/upstream
* Imported Upstream version 0.12-50-gaa1739a+0.12
2016-03-01 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-42-g50d97a5+0.12-1) unstable; urgency=medium
* Imported Upstream version 0.12-42-g50d97a5+0.12
* Force rebuild with dh_php >= 0.7
2016-01-12 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-39-g3dfe336+0.12-1) unstable; urgency=medium
* Imported Upstream version 0.12-39-g3dfe336+0.12
* Build php-ssh2 version for PHP 5.6 and 7.0
* Override wrong license-problem-php-license lintian check for packages
from PECL
2015-12-09 - Ondřej Surý <ondrej@debian.org>
php-ssh2 (0.12-39-g3dfe336-1) unstable; urgency=medium
* Imported Upstream version 0.12-39-g3dfe336
* Convert package to PHP 7.0
* Remove patches already fixed upstream
2014-06-19 - Mathieu Parent <sathieu@debian.org>
php-ssh2 (0.12-3) unstable; urgency=medium
* Remove excess initialisers (Closes: #750081)
* php5-ssh2 breaks and replaces previous libssh2-php (Closes: #751737)

See Also

Package Description
php-stomp_2.0.0+1.0.9-1ubuntu1_i386.deb Streaming Text Oriented Messaging Protocol (STOMP) client module for PHP
php-swiftmailer_5.4.2-1.1_all.deb Swiftmailer, free feature-rich PHP mailer
php-sybase_7.1+54ubuntu1_all.deb Sybase module for PHP [default]
php-symfony-asset_2.8.7+dfsg-1.3ubuntu1_all.deb manage asset URLs
php-symfony-browser-kit_2.8.7+dfsg-1.3ubuntu1_all.deb simulate the behavior of a web browser
php-symfony-class-loader_2.8.7+dfsg-1.3ubuntu1_all.deb load PHP classes automatically
php-symfony-config_2.8.7+dfsg-1.3ubuntu1_all.deb load configurations from different data sources
php-symfony-console_2.8.7+dfsg-1.3ubuntu1_all.deb run tasks from the command line
php-symfony-css-selector_2.8.7+dfsg-1.3ubuntu1_all.deb convert CSS selectors to XPath expressions
php-symfony-debug_2.8.7+dfsg-1.3ubuntu1_all.deb tools to make debugging of PHP code easier
php-symfony-dependency-injection_2.8.7+dfsg-1.3ubuntu1_all.deb standardize and centralize construction of objects
php-symfony-doctrine-bridge_2.8.7+dfsg-1.3ubuntu1_all.deb integration for Doctrine with Symfony Components
php-symfony-dom-crawler_2.8.7+dfsg-1.3ubuntu1_all.deb ease DOM navigation for HTML and XML documents
php-symfony-event-dispatcher_2.8.7+dfsg-1.3ubuntu1_all.deb dispatch events and listen to them
php-symfony-expression-language_2.8.7+dfsg-1.3ubuntu1_all.deb compile and evaluate expressions
Advertisement
Advertisement